Change my password (step-up; logs out other sessions)
POST
/store/v1/customers/me/password
const url = 'https://your-store.example.com/store/v1/customers/me/password';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"currentPassword":"example","newPassword":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/store/v1/customers/me/password \ --header 'Content-Type: application/json' \ --data '{ "currentPassword": "example", "newPassword": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
currentPassword
required
string
newPassword
required
string
Example generated
{ "currentPassword": "example", "newPassword": "example"}